Bug 185579 - emulators/virtualbox-ose: add graphics/qt4-opengl dependency
Summary: emulators/virtualbox-ose: add graphics/qt4-opengl dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Virtualbox Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-08 12:50 UTC by Jimmy Olgeni
Modified: 2014-01-17 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (534 bytes, patch)
2014-01-08 12:50 UTC, Jimmy Olgeni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2014-01-08 12:50:00 UTC
According to poudriere, virtualbox-ose needs a dependency on
graphics/qt4-opengl to build.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-08 12:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vbox

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bernhard Froehlich 2014-01-08 15:04:45 UTC
You might be correct but the patch looks wrong to me so I propose the follo=
wing.

Index: emulators/virtualbox-ose/
Makefile
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- emulators/virtualbox-ose/Makefile    (revision 339142)
+++ emulators/virtualbox-ose/Makefile    (working copy)
@@ -124,7 +124,7 @@

 .if ${PORT_OPTIONS:MQT4}
 QT_NONSTANDARD=3D    yes
-USE_QT4=3D    gui network moc_build uic_build rcc_build linguist
+USE_QT4=3D    gui network moc_build opengl uic_build rcc_build linguist
 INSTALLS_ICONS=3D    yes
 VBOX_FRONTENDS+=3DVirtualBox VBoxTestOGL


--=20
Bernhard Fr=F6hlich
http://www.bluelife.at/
Comment 3 dfilter service freebsd_committer 2014-01-16 16:38:33 UTC
Author: decke
Date: Thu Jan 16 16:38:18 2014
New Revision: 339930
URL: http://svnweb.freebsd.org/changeset/ports/339930
QAT: https://qat.redports.org/buildarchive/r339930/

Log:
  - Update to 4.2.22
  - Remove 3D crOpenGl patches that are already included in the new release
  - Convert USE_PYDISTUTILS=easy_install to USE_PYDISTUTILS=yes
  - Add patch to fix building with new gsoap [1]
  - Add direct dependency on qt4-opengl [2]
  
  PR:		ports/185579 [2]
  Security:	CVE-2013-5892
  Submitted by:	Jung-uk Kim <jkim@FreeBSD.org> [1]
  		Jimmy Olgeni <olgeni@FreeBSD.org> [2]

Added:
  head/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk   (contents, props changed)
Deleted:
  head/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-crOpenGL-Makefile.kmk
  head/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-crOpenGL-fakedri_drv.c
Modified:
  head/emulators/virtualbox-ose-additions/Makefile
  head/emulators/virtualbox-ose-additions/distinfo
  head/emulators/virtualbox-ose-kmod/Makefile
  head/emulators/virtualbox-ose-kmod/distinfo
  head/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
  head/emulators/virtualbox-ose/Makefile
  head/emulators/virtualbox-ose/distinfo

Modified: head/emulators/virtualbox-ose-additions/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-additions/Makefile	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose-additions/Makefile	Thu Jan 16 16:38:18 2014	(r339930)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
-PORTREVISION=	1
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: head/emulators/virtualbox-ose-additions/distinfo
==============================================================================
--- head/emulators/virtualbox-ose-additions/distinfo	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose-additions/distinfo	Thu Jan 16 16:38:18 2014	(r339930)
@@ -1,2 +1,2 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185

Modified: head/emulators/virtualbox-ose-kmod/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-kmod/Makefile	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose-kmod/Makefile	Thu Jan 16 16:38:18 2014	(r339930)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: head/emulators/virtualbox-ose-kmod/distinfo
==============================================================================
--- head/emulators/virtualbox-ose-kmod/distinfo	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose-kmod/distinfo	Thu Jan 16 16:38:18 2014	(r339930)
@@ -1,2 +1,2 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185

Modified: head/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
==============================================================================
--- head/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Thu Jan 16 16:38:18 2014	(r339930)
@@ -5,7 +5,7 @@
  KMOD = vboxdrv
  
 -CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS
-+CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DEBUG
++CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DDEBUG
  
  .if (${MACHINE_ARCH} == "i386")
   CFLAGS += -DRT_ARCH_X86

Modified: head/emulators/virtualbox-ose/Makefile
==============================================================================
--- head/emulators/virtualbox-ose/Makefile	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose/Makefile	Thu Jan 16 16:38:18 2014	(r339930)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
-PORTREVISION=	2
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
@@ -38,7 +37,7 @@ USE_GCC=	any
 USE_GNOME=	libidl
 USE_BZIP2=	yes
 USE_PYTHON=	2
-USE_PYDISTUTILS=	easy_install
+USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	vboxapi
 PYDISTUTILS_PKGVERSION=	1.0
 PYDISTUTILS_NOEGGINFO=	yes
@@ -124,7 +123,7 @@ CONFIGURE_ARGS+=--build-headless
 
 .if ${PORT_OPTIONS:MQT4}
 QT_NONSTANDARD=	yes
-USE_QT4=	gui network moc_build uic_build rcc_build linguist
+USE_QT4=	gui network moc_build opengl uic_build rcc_build linguist
 INSTALLS_ICONS=	yes
 VBOX_FRONTENDS+=VirtualBox VBoxTestOGL
 .else

Modified: head/emulators/virtualbox-ose/distinfo
==============================================================================
--- head/emulators/virtualbox-ose/distinfo	Thu Jan 16 16:15:47 2014	(r339929)
+++ head/emulators/virtualbox-ose/distinfo	Thu Jan 16 16:38:18 2014	(r339930)
@@ -1,4 +1,4 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
-SHA256 (VBoxGuestAdditions_4.2.20.iso) = 2fb3aa0f370d503b0e77725dbec76b989a251f613abee378f53c1fed9d6edf01
-SIZE (VBoxGuestAdditions_4.2.20.iso) = 59664384
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185
+SHA256 (VBoxGuestAdditions_4.2.22.iso) = 222e003d038b757cd761361bb5da33123e0f9574af246fb95eb558593c8c7c76
+SIZE (VBoxGuestAdditions_4.2.22.iso) = 59686912

Added: head/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk	Thu Jan 16 16:38:18 2014	(r339930)
@@ -0,0 +1,42 @@
+Ticket #11803: Fails to build with gSOAP 2.8.13
+https://www.virtualbox.org/ticket/11803
+
+--- src/VBox/Main/webservice/Makefile.kmk.orig	2013-12-18 11:10:26.000000000 -0500
++++ src/VBox/Main/webservice/Makefile.kmk	2014-01-09 15:56:26.000000000 -0500
+@@ -159,7 +159,6 @@
+ RECOMPILE_ON_MAKEFILE_CURRENT := $(MAKEFILE_CURRENT)
+ 
+ PATH_TARGET_SOAPDEMOXML       := $(VBOXWEB_OUT_DIR)/demo_soapxml
+-PATH_TARGET_SOAPDEMOHEADERS   := $(VBOXWEB_OUT_DIR)/demo_headers
+ PATH_TARGET_SOAPDEMONSMAPS    := $(VBOXWEB_OUT_DIR)/demo_namespacemaps
+ PATH_TARGET_WEBTEST           := $(VBOXWEB_OUT_DIR)/webtest
+ 
+@@ -512,8 +511,6 @@
+ 	$(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMOXML)/*) \
+ 	$(PATH_TARGET_SOAPDEMOXML)/dummy_file \
+-	$(wildcard $(PATH_TARGET_SOAPDEMOHEADERS)/*) \
+-	$(PATH_TARGET_SOAPDEMOHEADERS)/dummy_file \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMONSMAPS)/*) \
+ 	$(PATH_TARGET_SOAPDEMONSMAPS)/dummy_file
+ 
+@@ -690,17 +687,14 @@
+ # want to use wildcard (all commands are expaned when the rule is evaluated).
+ $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts: $(VBOXWEB_OUT_DIR)/gsoap_generate_all_ts | $$(dir $$@)
+ 	$(RM) -f $@
+-	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMOHEADERS) $(PATH_TARGET_SOAPDEMONSMAPS)
++	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMONSMAPS)
+ ifdef VBOX_GSOAP_VERBOSE
+ 	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/*.req.xml $(VBOXWEB_OUT_DIR)/*.res.xml) $(PATH_TARGET_SOAPDEMOXML)
+ endif
+-	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/soapvbox*.h) $(PATH_TARGET_SOAPDEMOHEADERS)
+ 	$(MV) -f $(VBOXWEB_OUT_DIR)/vboxBinding.nsmap $(PATH_TARGET_SOAPDEMONSMAPS)
+ 	$(APPEND) $@ done
+ 
+-$(PATH_TARGET_SOAPDEMONSMAPS) \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingProxy.h \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingObject.h: $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
++$(PATH_TARGET_SOAPDEMONSMAPS): $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
+ 
+ # soapcpp2 -2: generate SOAP 1.2 calls
+ # soapcpp2 -S: server-side code only
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Bernhard Froehlich freebsd_committer 2014-01-16 16:39:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2014-01-16 16:45:38 UTC
Author: decke
Date: Thu Jan 16 16:45:29 2014
New Revision: 339932
URL: http://svnweb.freebsd.org/changeset/ports/339932
QAT: https://qat.redports.org/buildarchive/r339932/

Log:
  - Update to 4.2.22
  - Convert USE_PYDISTUTILS=easy_install to USE_PYDISTUTILS=yes
  - Add patch to fix building with new gsoap [1]
  - Add direct dependency on qt4-opengl [2]
  
  PR:		ports/185579 [2]
  Security:	CVE-2013-5892
  Submitted by:	Jung-uk Kim <jkim@FreeBSD.org> [1]
  		Jimmy Olgeni <olgeni@FreeBSD.org> [2]

Added:
  head/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk   (contents, props changed)
Modified:
  head/emulators/virtualbox-ose-kmod-legacy/Makefile
  head/emulators/virtualbox-ose-kmod-legacy/distinfo
  head/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
  head/emulators/virtualbox-ose-legacy/Makefile
  head/emulators/virtualbox-ose-legacy/distinfo

Modified: head/emulators/virtualbox-ose-kmod-legacy/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-kmod-legacy/Makefile	Thu Jan 16 16:43:24 2014	(r339931)
+++ head/emulators/virtualbox-ose-kmod-legacy/Makefile	Thu Jan 16 16:45:29 2014	(r339932)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: head/emulators/virtualbox-ose-kmod-legacy/distinfo
==============================================================================
--- head/emulators/virtualbox-ose-kmod-legacy/distinfo	Thu Jan 16 16:43:24 2014	(r339931)
+++ head/emulators/virtualbox-ose-kmod-legacy/distinfo	Thu Jan 16 16:45:29 2014	(r339932)
@@ -1,2 +1,2 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185

Modified: head/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
==============================================================================
--- head/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Thu Jan 16 16:43:24 2014	(r339931)
+++ head/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Thu Jan 16 16:45:29 2014	(r339932)
@@ -5,7 +5,7 @@
  KMOD = vboxdrv
  
 -CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS
-+CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DEBUG
++CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DDEBUG
  
  .if (${MACHINE_ARCH} == "i386")
   CFLAGS += -DRT_ARCH_X86

Modified: head/emulators/virtualbox-ose-legacy/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-legacy/Makefile	Thu Jan 16 16:43:24 2014	(r339931)
+++ head/emulators/virtualbox-ose-legacy/Makefile	Thu Jan 16 16:45:29 2014	(r339932)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
-PORTREVISION=	1
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
@@ -39,7 +38,7 @@ USE_GCC=	any
 USE_GNOME=	libidl
 USE_BZIP2=	yes
 USE_PYTHON=	2
-USE_PYDISTUTILS=	easy_install
+USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	vboxapi
 PYDISTUTILS_PKGVERSION=	1.0
 PYDISTUTILS_NOEGGINFO=	yes
@@ -125,7 +124,7 @@ CONFIGURE_ARGS+=--build-headless
 
 .if ${PORT_OPTIONS:MQT4}
 QT_NONSTANDARD=	yes
-USE_QT4=	gui network moc_build uic_build rcc_build linguist
+USE_QT4=	gui network moc_build opengl uic_build rcc_build linguist
 INSTALLS_ICONS=	yes
 VBOX_FRONTENDS+=VirtualBox VBoxTestOGL
 .else

Modified: head/emulators/virtualbox-ose-legacy/distinfo
==============================================================================
--- head/emulators/virtualbox-ose-legacy/distinfo	Thu Jan 16 16:43:24 2014	(r339931)
+++ head/emulators/virtualbox-ose-legacy/distinfo	Thu Jan 16 16:45:29 2014	(r339932)
@@ -1,4 +1,4 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
-SHA256 (VBoxGuestAdditions_4.2.20.iso) = 2fb3aa0f370d503b0e77725dbec76b989a251f613abee378f53c1fed9d6edf01
-SIZE (VBoxGuestAdditions_4.2.20.iso) = 59664384
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185
+SHA256 (VBoxGuestAdditions_4.2.22.iso) = 222e003d038b757cd761361bb5da33123e0f9574af246fb95eb558593c8c7c76
+SIZE (VBoxGuestAdditions_4.2.22.iso) = 59686912

Added: head/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk	Thu Jan 16 16:45:29 2014	(r339932)
@@ -0,0 +1,42 @@
+Ticket #11803: Fails to build with gSOAP 2.8.13
+https://www.virtualbox.org/ticket/11803
+
+--- src/VBox/Main/webservice/Makefile.kmk.orig	2013-12-18 11:10:26.000000000 -0500
++++ src/VBox/Main/webservice/Makefile.kmk	2014-01-09 15:56:26.000000000 -0500
+@@ -159,7 +159,6 @@
+ RECOMPILE_ON_MAKEFILE_CURRENT := $(MAKEFILE_CURRENT)
+ 
+ PATH_TARGET_SOAPDEMOXML       := $(VBOXWEB_OUT_DIR)/demo_soapxml
+-PATH_TARGET_SOAPDEMOHEADERS   := $(VBOXWEB_OUT_DIR)/demo_headers
+ PATH_TARGET_SOAPDEMONSMAPS    := $(VBOXWEB_OUT_DIR)/demo_namespacemaps
+ PATH_TARGET_WEBTEST           := $(VBOXWEB_OUT_DIR)/webtest
+ 
+@@ -512,8 +511,6 @@
+ 	$(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMOXML)/*) \
+ 	$(PATH_TARGET_SOAPDEMOXML)/dummy_file \
+-	$(wildcard $(PATH_TARGET_SOAPDEMOHEADERS)/*) \
+-	$(PATH_TARGET_SOAPDEMOHEADERS)/dummy_file \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMONSMAPS)/*) \
+ 	$(PATH_TARGET_SOAPDEMONSMAPS)/dummy_file
+ 
+@@ -690,17 +687,14 @@
+ # want to use wildcard (all commands are expaned when the rule is evaluated).
+ $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts: $(VBOXWEB_OUT_DIR)/gsoap_generate_all_ts | $$(dir $$@)
+ 	$(RM) -f $@
+-	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMOHEADERS) $(PATH_TARGET_SOAPDEMONSMAPS)
++	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMONSMAPS)
+ ifdef VBOX_GSOAP_VERBOSE
+ 	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/*.req.xml $(VBOXWEB_OUT_DIR)/*.res.xml) $(PATH_TARGET_SOAPDEMOXML)
+ endif
+-	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/soapvbox*.h) $(PATH_TARGET_SOAPDEMOHEADERS)
+ 	$(MV) -f $(VBOXWEB_OUT_DIR)/vboxBinding.nsmap $(PATH_TARGET_SOAPDEMONSMAPS)
+ 	$(APPEND) $@ done
+ 
+-$(PATH_TARGET_SOAPDEMONSMAPS) \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingProxy.h \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingObject.h: $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
++$(PATH_TARGET_SOAPDEMONSMAPS): $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
+ 
+ # soapcpp2 -2: generate SOAP 1.2 calls
+ # soapcpp2 -S: server-side code only
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2014-01-17 15:43:12 UTC
Author: decke
Date: Fri Jan 17 15:43:01 2014
New Revision: 340058
URL: http://svnweb.freebsd.org/changeset/ports/340058
QAT: https://qat.redports.org/buildarchive/r340058/

Log:
  MFH: r339930
  
  - Update to 4.2.22
  - Remove 3D crOpenGl patches that are already included in the new release
  - Convert USE_PYDISTUTILS=easy_install to USE_PYDISTUTILS=yes
  - Add patch to fix building with new gsoap [1]
  - Add direct dependency on qt4-opengl [2]
  
  PR:		ports/185579 [2]
  Security:	CVE-2013-5892
  Submitted by:	Jung-uk Kim <jkim@FreeBSD.org> [1]
  		Jimmy Olgeni <olgeni@FreeBSD.org> [2]

Added:
  branches/2014Q1/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk
     - copied unchanged from r339930, head/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk
Deleted:
  branches/2014Q1/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-crOpenGL-Makefile.kmk
  branches/2014Q1/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-crOpenGL-fakedri_drv.c
Modified:
  branches/2014Q1/emulators/virtualbox-ose-additions/Makefile
  branches/2014Q1/emulators/virtualbox-ose-additions/distinfo
  branches/2014Q1/emulators/virtualbox-ose-kmod/Makefile
  branches/2014Q1/emulators/virtualbox-ose-kmod/distinfo
  branches/2014Q1/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
  branches/2014Q1/emulators/virtualbox-ose/Makefile
  branches/2014Q1/emulators/virtualbox-ose/distinfo
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/emulators/virtualbox-ose-additions/Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-additions/Makefile	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose-additions/Makefile	Fri Jan 17 15:43:01 2014	(r340058)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: branches/2014Q1/emulators/virtualbox-ose-additions/distinfo
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-additions/distinfo	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose-additions/distinfo	Fri Jan 17 15:43:01 2014	(r340058)
@@ -1,2 +1,2 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185

Modified: branches/2014Q1/emulators/virtualbox-ose-kmod/Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-kmod/Makefile	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose-kmod/Makefile	Fri Jan 17 15:43:01 2014	(r340058)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: branches/2014Q1/emulators/virtualbox-ose-kmod/distinfo
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-kmod/distinfo	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose-kmod/distinfo	Fri Jan 17 15:43:01 2014	(r340058)
@@ -1,2 +1,2 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185

Modified: branches/2014Q1/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose-kmod/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Fri Jan 17 15:43:01 2014	(r340058)
@@ -5,7 +5,7 @@
  KMOD = vboxdrv
  
 -CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS
-+CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DEBUG
++CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DDEBUG
  
  .if (${MACHINE_ARCH} == "i386")
   CFLAGS += -DRT_ARCH_X86

Modified: branches/2014Q1/emulators/virtualbox-ose/Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose/Makefile	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose/Makefile	Fri Jan 17 15:43:01 2014	(r340058)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
-PORTREVISION=	2
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
@@ -39,7 +38,7 @@ USE_GCC=	any
 USE_GNOME=	libidl
 USE_BZIP2=	yes
 USE_PYTHON=	-2.7
-USE_PYDISTUTILS=	easy_install
+USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	vboxapi
 PYDISTUTILS_PKGVERSION=	1.0
 PYDISTUTILS_NOEGGINFO=	yes
@@ -125,7 +124,7 @@ CONFIGURE_ARGS+=--build-headless
 
 .if ${PORT_OPTIONS:MQT4}
 QT_NONSTANDARD=	yes
-USE_QT4=	gui network moc_build uic_build rcc_build linguist
+USE_QT4=	gui network moc_build opengl uic_build rcc_build linguist
 INSTALLS_ICONS=	yes
 VBOX_FRONTENDS+=VirtualBox VBoxTestOGL
 .else

Modified: branches/2014Q1/emulators/virtualbox-ose/distinfo
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose/distinfo	Fri Jan 17 15:40:10 2014	(r340057)
+++ branches/2014Q1/emulators/virtualbox-ose/distinfo	Fri Jan 17 15:43:01 2014	(r340058)
@@ -1,4 +1,4 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
-SHA256 (VBoxGuestAdditions_4.2.20.iso) = 2fb3aa0f370d503b0e77725dbec76b989a251f613abee378f53c1fed9d6edf01
-SIZE (VBoxGuestAdditions_4.2.20.iso) = 59664384
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185
+SHA256 (VBoxGuestAdditions_4.2.22.iso) = 222e003d038b757cd761361bb5da33123e0f9574af246fb95eb558593c8c7c76
+SIZE (VBoxGuestAdditions_4.2.22.iso) = 59686912

Copied: branches/2014Q1/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk (from r339930, head/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk	Fri Jan 17 15:43:01 2014	(r340058, copy of r339930, head/emulators/virtualbox-ose/files/patch-src-VBox-Main-webservice-Makefile.kmk)
@@ -0,0 +1,42 @@
+Ticket #11803: Fails to build with gSOAP 2.8.13
+https://www.virtualbox.org/ticket/11803
+
+--- src/VBox/Main/webservice/Makefile.kmk.orig	2013-12-18 11:10:26.000000000 -0500
++++ src/VBox/Main/webservice/Makefile.kmk	2014-01-09 15:56:26.000000000 -0500
+@@ -159,7 +159,6 @@
+ RECOMPILE_ON_MAKEFILE_CURRENT := $(MAKEFILE_CURRENT)
+ 
+ PATH_TARGET_SOAPDEMOXML       := $(VBOXWEB_OUT_DIR)/demo_soapxml
+-PATH_TARGET_SOAPDEMOHEADERS   := $(VBOXWEB_OUT_DIR)/demo_headers
+ PATH_TARGET_SOAPDEMONSMAPS    := $(VBOXWEB_OUT_DIR)/demo_namespacemaps
+ PATH_TARGET_WEBTEST           := $(VBOXWEB_OUT_DIR)/webtest
+ 
+@@ -512,8 +511,6 @@
+ 	$(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMOXML)/*) \
+ 	$(PATH_TARGET_SOAPDEMOXML)/dummy_file \
+-	$(wildcard $(PATH_TARGET_SOAPDEMOHEADERS)/*) \
+-	$(PATH_TARGET_SOAPDEMOHEADERS)/dummy_file \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMONSMAPS)/*) \
+ 	$(PATH_TARGET_SOAPDEMONSMAPS)/dummy_file
+ 
+@@ -690,17 +687,14 @@
+ # want to use wildcard (all commands are expaned when the rule is evaluated).
+ $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts: $(VBOXWEB_OUT_DIR)/gsoap_generate_all_ts | $$(dir $$@)
+ 	$(RM) -f $@
+-	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMOHEADERS) $(PATH_TARGET_SOAPDEMONSMAPS)
++	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMONSMAPS)
+ ifdef VBOX_GSOAP_VERBOSE
+ 	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/*.req.xml $(VBOXWEB_OUT_DIR)/*.res.xml) $(PATH_TARGET_SOAPDEMOXML)
+ endif
+-	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/soapvbox*.h) $(PATH_TARGET_SOAPDEMOHEADERS)
+ 	$(MV) -f $(VBOXWEB_OUT_DIR)/vboxBinding.nsmap $(PATH_TARGET_SOAPDEMONSMAPS)
+ 	$(APPEND) $@ done
+ 
+-$(PATH_TARGET_SOAPDEMONSMAPS) \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingProxy.h \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingObject.h: $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
++$(PATH_TARGET_SOAPDEMONSMAPS): $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
+ 
+ # soapcpp2 -2: generate SOAP 1.2 calls
+ # soapcpp2 -S: server-side code only
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2014-01-17 15:44:12 UTC
Author: decke
Date: Fri Jan 17 15:44:03 2014
New Revision: 340059
URL: http://svnweb.freebsd.org/changeset/ports/340059
QAT: https://qat.redports.org/buildarchive/r340059/

Log:
  MFH: r339932
  
  - Update to 4.2.22
  - Convert USE_PYDISTUTILS=easy_install to USE_PYDISTUTILS=yes
  - Add patch to fix building with new gsoap [1]
  - Add direct dependency on qt4-opengl [2]
  
  PR:		ports/185579 [2]
  Security:	CVE-2013-5892
  Submitted by:	Jung-uk Kim <jkim@FreeBSD.org> [1]
  		Jimmy Olgeni <olgeni@FreeBSD.org> [2]

Added:
  branches/2014Q1/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk
     - copied unchanged from r339932, head/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk
Modified:
  branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/Makefile
  branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/distinfo
  branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
  branches/2014Q1/emulators/virtualbox-ose-legacy/Makefile
  branches/2014Q1/emulators/virtualbox-ose-legacy/distinfo
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/Makefile	Fri Jan 17 15:43:01 2014	(r340058)
+++ branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/Makefile	Fri Jan 17 15:44:03 2014	(r340059)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/distinfo
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/distinfo	Fri Jan 17 15:43:01 2014	(r340058)
+++ branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/distinfo	Fri Jan 17 15:44:03 2014	(r340059)
@@ -1,2 +1,2 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185

Modified: branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Fri Jan 17 15:43:01 2014	(r340058)
+++ branches/2014Q1/emulators/virtualbox-ose-kmod-legacy/files/extrapatch-src-VBox-HostDrivers-Support-freebsd-Makefile	Fri Jan 17 15:44:03 2014	(r340059)
@@ -5,7 +5,7 @@
  KMOD = vboxdrv
  
 -CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS
-+CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DEBUG
++CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS -DDEBUG
  
  .if (${MACHINE_ARCH} == "i386")
   CFLAGS += -DRT_ARCH_X86

Modified: branches/2014Q1/emulators/virtualbox-ose-legacy/Makefile
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-legacy/Makefile	Fri Jan 17 15:43:01 2014	(r340058)
+++ branches/2014Q1/emulators/virtualbox-ose-legacy/Makefile	Fri Jan 17 15:44:03 2014	(r340059)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	virtualbox-ose
-DISTVERSION=	4.2.20
-PORTREVISION=	1
+DISTVERSION=	4.2.22
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
@@ -40,7 +39,7 @@ USE_GCC=	any
 USE_GNOME=	libidl
 USE_BZIP2=	yes
 USE_PYTHON=	-2.7
-USE_PYDISTUTILS=	easy_install
+USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	vboxapi
 PYDISTUTILS_PKGVERSION=	1.0
 PYDISTUTILS_NOEGGINFO=	yes
@@ -126,7 +125,7 @@ CONFIGURE_ARGS+=--build-headless
 
 .if ${PORT_OPTIONS:MQT4}
 QT_NONSTANDARD=	yes
-USE_QT4=	gui network moc_build uic_build rcc_build linguist
+USE_QT4=	gui network moc_build opengl uic_build rcc_build linguist
 INSTALLS_ICONS=	yes
 VBOX_FRONTENDS+=VirtualBox VBoxTestOGL
 .else

Modified: branches/2014Q1/emulators/virtualbox-ose-legacy/distinfo
==============================================================================
--- branches/2014Q1/emulators/virtualbox-ose-legacy/distinfo	Fri Jan 17 15:43:01 2014	(r340058)
+++ branches/2014Q1/emulators/virtualbox-ose-legacy/distinfo	Fri Jan 17 15:44:03 2014	(r340059)
@@ -1,4 +1,4 @@
-SHA256 (VirtualBox-4.2.20.tar.bz2) = 193aa3ce7c0e700fe6a12b64bf462ce633a856f1e831ee4a337cc3439b21df61
-SIZE (VirtualBox-4.2.20.tar.bz2) = 77050211
-SHA256 (VBoxGuestAdditions_4.2.20.iso) = 2fb3aa0f370d503b0e77725dbec76b989a251f613abee378f53c1fed9d6edf01
-SIZE (VBoxGuestAdditions_4.2.20.iso) = 59664384
+SHA256 (VirtualBox-4.2.22.tar.bz2) = 4a017ec5fa0e0cfa830ae6c2b9d680c9b108e5fb96348e1397a7d0ea051f8bc1
+SIZE (VirtualBox-4.2.22.tar.bz2) = 77039185
+SHA256 (VBoxGuestAdditions_4.2.22.iso) = 222e003d038b757cd761361bb5da33123e0f9574af246fb95eb558593c8c7c76
+SIZE (VBoxGuestAdditions_4.2.22.iso) = 59686912

Copied: branches/2014Q1/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk (from r339932, head/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk	Fri Jan 17 15:44:03 2014	(r340059, copy of r339932, head/emulators/virtualbox-ose-legacy/files/patch-src-VBox-Main-webservice-Makefile.kmk)
@@ -0,0 +1,42 @@
+Ticket #11803: Fails to build with gSOAP 2.8.13
+https://www.virtualbox.org/ticket/11803
+
+--- src/VBox/Main/webservice/Makefile.kmk.orig	2013-12-18 11:10:26.000000000 -0500
++++ src/VBox/Main/webservice/Makefile.kmk	2014-01-09 15:56:26.000000000 -0500
+@@ -159,7 +159,6 @@
+ RECOMPILE_ON_MAKEFILE_CURRENT := $(MAKEFILE_CURRENT)
+ 
+ PATH_TARGET_SOAPDEMOXML       := $(VBOXWEB_OUT_DIR)/demo_soapxml
+-PATH_TARGET_SOAPDEMOHEADERS   := $(VBOXWEB_OUT_DIR)/demo_headers
+ PATH_TARGET_SOAPDEMONSMAPS    := $(VBOXWEB_OUT_DIR)/demo_namespacemaps
+ PATH_TARGET_WEBTEST           := $(VBOXWEB_OUT_DIR)/webtest
+ 
+@@ -512,8 +511,6 @@
+ 	$(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMOXML)/*) \
+ 	$(PATH_TARGET_SOAPDEMOXML)/dummy_file \
+-	$(wildcard $(PATH_TARGET_SOAPDEMOHEADERS)/*) \
+-	$(PATH_TARGET_SOAPDEMOHEADERS)/dummy_file \
+ 	$(wildcard $(PATH_TARGET_SOAPDEMONSMAPS)/*) \
+ 	$(PATH_TARGET_SOAPDEMONSMAPS)/dummy_file
+ 
+@@ -690,17 +687,14 @@
+ # want to use wildcard (all commands are expaned when the rule is evaluated).
+ $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts: $(VBOXWEB_OUT_DIR)/gsoap_generate_all_ts | $$(dir $$@)
+ 	$(RM) -f $@
+-	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMOHEADERS) $(PATH_TARGET_SOAPDEMONSMAPS)
++	$(MKDIR) -p $(PATH_TARGET_SOAPDEMOXML) $(PATH_TARGET_SOAPDEMONSMAPS)
+ ifdef VBOX_GSOAP_VERBOSE
+ 	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/*.req.xml $(VBOXWEB_OUT_DIR)/*.res.xml) $(PATH_TARGET_SOAPDEMOXML)
+ endif
+-	$(MV) -f $(wildcard $(VBOXWEB_OUT_DIR)/soapvbox*.h) $(PATH_TARGET_SOAPDEMOHEADERS)
+ 	$(MV) -f $(VBOXWEB_OUT_DIR)/vboxBinding.nsmap $(PATH_TARGET_SOAPDEMONSMAPS)
+ 	$(APPEND) $@ done
+ 
+-$(PATH_TARGET_SOAPDEMONSMAPS) \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingProxy.h \
+-$(PATH_TARGET_SOAPDEMOHEADERS)/soapvboxBindingObject.h: $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
++$(PATH_TARGET_SOAPDEMONSMAPS): $(VBOXWEB_OUT_DIR)/gsoap_copy_all_ts
+ 
+ # soapcpp2 -2: generate SOAP 1.2 calls
+ # soapcpp2 -S: server-side code only
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"